#include <rtx51.h>
#include <stdio.h>

#define P1_0_BLINKER_TASK	1
#define P1_1_BLINKER_TASK	2
#define STARTUP_TASK		0

sbit P1_0 = 0x90;
sbit P1_1 = 0x91;
//-----------------------------------------------
void task0 (void) _task_ P1_0_BLINKER_TASK _priority_ 0
{
while (1)
  {
  P1_0 = 1;
  os_wait (K_TMO, 100, NULL);

  P1_0 = 0;
  os_wait (K_TMO, 100, NULL);
  }
}
//-----------------------------------------------
void task1 (void) _task_ P1_1_BLINKER_TASK _priority_ 0
{
while (1)
  {
  P1_1 = 1;
  os_wait (K_TMO, 75, NULL);

  P1_1 = 0;
  os_wait (K_TMO, 75, NULL);
  }
}
//-----------------------------------------------
void task2 (void) _task_ STARTUP_TASK
{
os_set_slice (1000);		/* set for OSC Frequency / 10,000 */

os_create_task (P1_0_BLINKER_TASK);
os_create_task (P1_1_BLINKER_TASK);

os_delete_task (os_running_task_id ());
}
//-----------------------------------------------
void main (void)
{
os_start_system (STARTUP_TASK);
}

